#!/bin/bash

# uninstall logic for Save My Data Business Edition 5.5.1.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/Save My Data Business Edition/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for Save My Data Business Edition"
    touch "/Applications/Save My Data Business Edition/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/Save My Data Business Edition/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for Save My Data Business Edition"
    sh "/Applications/Save My Data Business Edition/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/Save My Data Business Edition/bin/taskkill" "/Applications/Save My Data Business Edition/BackupManager.app"
sh "/Applications/Save My Data Business Edition/bin/taskkill" "/Applications/Save My Data Business Edition/bin/BackupManager.app"
sh "/Applications/Save My Data Business Edition/bin/taskkill" "/Applications/Save My Data Business Edition/jvm/bin/java"
sh "/Applications/Save My Data Business Edition/bin/taskkill" "/Applications/Save My Data Business Edition/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/SMD-BE" ]; then
    echo "Remove Scheduler for Save My Data Business Edition from service"
    rm -rf "/Library/StartupItems/SMD-BE"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/SMD-BE-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for Save My Data Business Edition from service"
    rm -rf "/Library/StartupItems/SMD-BE-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/SMD-BE" ]; then
        echo "Remove Desktop Link SMD-BE from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/SMD-BE"
        echo "Removed Save My Data Business Edition Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove Save My Data Business Edition
cd /
if [ -e "/Applications/Save My Data Business Edition" ]; then
    echo "Remove Save My Data Business Edition from Your Mac OS X"
    rm -rf "/Applications/Save My Data Business Edition"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/obm.pkg" ]; then
    echo "Remove Mac OS X Receipt for obm.pkg (Path: /Library/Receipts/obm.pkg)"
    rm -rf "/Library/Receipts/obm.pkg"
fi
